<?php

namespace Teknisa\MAN\Services;

use Doctrine\ORM\EntityManager;
use Teknisa\MAN\Utilities;

class conTipoDocServices {

	public function __construct(EntityManager $entityManager) {
        $this->entityManager = $entityManager;
    }
    
    public function findDocs(){
        $query = $this->entityManager->getConnection()->fetchAll(Utilities\Query::FIND_DOCS);
        return $query;
    }
    
    public function saveDocs($row){
        if(!isset($row['MODIFIELD'])){
            $params = [
                    'CDCFOP'        =>  $row['CDCFOP'],
                    'CDNCM'         =>  $row['CDNCM'],
                    'CDCST'         =>  $row['CDCST'],
                    'CDTPDOC'       =>  $row['CDTPDOC'],
                    'NRORG'         =>  $row['NRORG'],
                    'IDATIVO'       =>  'S',
                    'NRORGINCLUSAO' =>  $row['NRORG'],
                    'CDOPERINCLUSAO'    =>  '1'
            ];
            $this->entityManager->getConnection()->executeQuery(Utilities\Query::INSERT_DOCS, $params);
        }else{
            $params = [
                    'CDCFOP'        =>  $row['CDCFOP'],
                    'CDNCM'         =>  $row['CDNCM'],
                    'CDCST'         =>  $row['CDCST'],
                    'CDTPDOC'       =>  $row['CDTPDOC'],
                    'NRORGULTATU'   =>  $row['NRORG'],
                    'CDOPERULTATU'  =>  $row['CDOPERULTATU'],
                    'BCDCFOP'       =>  $row['backupRow']['CDCFOP'],
                    'BCDNCM'        =>  $row['backupRow']['CDNCM'],
                    'BCDCST'        =>  $row['backupRow']['CDCST'],
                    'BCDTPDOC'      =>  $row['backupRow']['CDTPDOC'],
            ];
            
            $teste = $this->entityManager->getConnection()->executeQuery(Utilities\Query::UPDATE_DOCS, $params);
        }
    }
    
    public function deleteDocs($row){
        $params = [
            'CDCFOP'        =>  $row['CDCFOP'],
            'CDNCM'         =>  $row['CDNCM'],
            'CDCST'         =>  $row['CDCST'],
            'CDTPDOC'       =>  $row['CDTPDOC'],
            'NRORG'         =>  $row['NRORG']
        ];

        $this->entityManager->getConnection()->executeQuery(Utilities\Query::DELETE_DOC, $params);
    }
    
}

